#include <bits/stdc++.h>
#include <stdlib.h>
#define MAX 100000
#define MAX2 10000
using namespace std;

int main()
{
    short granice[MAX], granica, granica2, brk;
    int ofarbani[MAX2], brv, zbir=0;

    scanf("%d%d", &brv, &brk);

    for(int i=0; i < brv; i++)
        scanf("%d", &granice[i]);

    for(int i=0; i < brk; i++)
        ofarbani[i] = 0;

    if(granica > brk - granica)
    {
        granica = 0;
        granica2 = granice[0];

        for(int i=0; i < granica2; i++)
            ofarbani[i]++;

        for(int i=1; i < brv; i++)
        {
            if(granice[i] - granica > granica2 - granice[i])
            {
                for(int i=0; i < granice[i]; i++)
                    ofarbani[i]++;

                if(granice[i] < granica2)
                    granica2 = granice[i];
            }
            else if (granice[i] - granica < granica2 - granice[i])
            {
                for(int j=granice[i]; j < brk; j++)
                    ofarbani[j]++;

                if(granice[i] > granica)
                    granica = granice[i];
            }
            else
            {
                if(granice[i] > brk - granice[i])
                {
                    for(int i=0; i < granice[i]; i++)
                        ofarbani[i]++;
                    granica2 = granice[i];
                }
                else
                {
                    for(int i=granice[i]; i < brk; i++)
                        ofarbani[i]++;
                    granica = granice[i];
                }

            }
        }
    }
    else
    {
        granica = granice[0];
        granica2 = brk;

        for(int i=granica; i < brk; i++)
            ofarbani[i]++;

        for(int i=1; i < brv; i++)
        {
            if(granice[i] - granica > granica2 - granice[i])
            {
                for(int i=0; i < granice[i]; i++)
                    ofarbani[i]++;

                if(granice[i] < granica2)
                    granica2 = granice[i];
            }
            else if (granice[i] - granica < granica2 - granice[i])
            {
                for(int i=granice[i]; i < brk; i++)
                    ofarbani[i]++;

                if(granice[i] > granica)
                    granica = granice[i];
            }
            else
            {
                if(granice[i] > brk - granice[i])
                {
                    for(int i=0; i < granice[i]; i++)
                        ofarbani[i]++;
                    granica2 = granice[i];
                }
                else
                {
                    for(int i=granice[i]; i < brk; i++)
                        ofarbani[i]++;
                    granica = granice[i];
                }

            }
        }
    }

    for(int i=0; i < brk; i++)
    {
        ofarbani[i] = ofarbani[i] * (brv - ofarbani[i]);
        zbir += ofarbani[i];
    }

    printf("%d", zbir);

    return 0;
}